Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 240571 - Review Request: ocaml-calendar - Objective CAML library for managing dates and times
Review Request: ocaml-calendar - Objective CAML library for managing dates an...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Package Reviews List
:
Depends On: 240557
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-18 10:44 EDT by Richard W.M. Jones
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-09 11:57:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lxtnow: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2007-05-18 10:44:07 EDT
Spec URL: http://annexia.org/tmp/ocaml-calendar.spec
SRPM URL: http://annexia.org/tmp/ocaml-calendar-1.10-1.src.rpm
Description:
This is a Fedora package for Julien Signole's OCaml calendar library.
Comment 1 Richard W.M. Jones 2007-05-25 13:33:58 EDT
Updated SRPM and spec file:

http://annexia.org/tmp/ocaml-calendar.spec
http://annexia.org/tmp/ocaml-calendar-1.10-2.fc6.src.rpm

Note! These depend on the ocaml find-requires and find-provides scripts.  See
here: https://www.redhat.com/archives/fedora-devel-list/2007-May/msg01693.html
Comment 2 Richard W.M. Jones 2007-05-29 08:05:10 EDT
Updated SRPM and spec file:

http://annexia.org/tmp/ocaml-calendar.spec
http://annexia.org/tmp/ocaml-calendar-1.10-3.src.rpm

This version removes a Debian patch to handle DISTDIR, which is not actually
necessary.
Comment 3 Richard W.M. Jones 2007-06-02 10:13:39 EDT
Updated SRPM and spec file:

http://annexia.org/tmp/ocaml-calendar.spec
http://annexia.org/tmp/ocaml-calendar-1.10-4.src.rpm

These handle bytecode-only architectures.
Comment 4 Richard W.M. Jones 2007-06-11 15:49:38 EDT
Updated SRPM and spec file:

http://annexia.org/tmp/ocaml/ocaml-calendar.spec
http://annexia.org/tmp/ocaml/ocaml-calendar-1.10-5.src.rpm

Updated to latest OCaml packaging guidelines.
Built against OCaml 3.10.
Comment 5 Jason Tibbitts 2007-06-28 12:08:22 EDT
Looks like this has a dependency on some other ocaml package which is not in the
distro.

Could you set the dependencies on these bugs so that poor reviewers like me will
know where to start?
Comment 6 Richard W.M. Jones 2007-06-29 06:32:57 EDT
I've added the dep on findlib (bug 240557).

Note that findlib requires ocaml 3.10.0 from
http://math.ifi.unizh.ch/fedora/tmp/ (see bug 239004).
Comment 7 Xavier Lamien 2007-08-06 17:09:06 EDT
=== REQUIRED ITEMS ===

 [ OK ] Package is named according to the Package Naming Guidelines.
 [ OK ] Spec file name must match the base package.
 [ OK ] Package meets the Packaging Guidelines.
 [ OK ] Package successfully to build into binary rpms on at least one
        supported architecture.
 [ CHECK ] Tested on: Mock i3864 [F-devel]

 [ OK ] Package is not relocatable.
 [ OK ] Buildroot is correct
 [ OK ] Package is licensed with an open-source compatible license.
 [ FAILED ] License field in the package spec file matches the actual license.
 [ OK ] License type: LGPLv2
 [ FAILED ] The source package includes the text of the license(s).
 [ OK ] Spec file is legible and written in American English.
 [ SKIP ] Package is not known to require ExcludeArch.
 [ OK ] All build dependencies are listed in BuildRequires.
 [ OK ] The spec file handles locales properly.
 [ SKIP ] ldconfig called in %post and %postun if required.
 [ Ok ] Package must own all directories that it creates.
 [ OK ] Package requires other packages for directories it uses.
 [ OK ] Package does not contain duplicates in %files.
 [ OK ] Permissions on files are set properly.
 [ OK ] Package has a %clean section.
 [ OK ] Package consistently uses macros.
 [ OK ] Package contains code, or permissable content.
 [ SKIP ] Large documentation files are in a -doc subpackage, if required.
 [ CHECK ] Package uses nothing in %doc for runtime.
 [ SKIP] Header files in -devel subpackage, if present.
 [ SKIP ] Static libraries in -devel subpackage, if present.
 [ SKIP ] Package requires pkgconfig, if .pc files are present.
 [ SKIP ] Development .so files in -devel subpackage, if present.
 [ CHECK ] Fully versioned dependency in subpackages, if present.
 [ OK ] Package does not contain any libtool archives (.la).
 [ SKIP ] Package contains a properly installed %{name}.desktop file.
 [ OK ] Package does not own files or directories owned by other packages.

According to OCaml Packaging Guideline:
 
 [ OK ] OCaml modules / libs should be named ocaml-foo.
 [ OK ] The spec file should still build bytecode libraries and binaries.
 [ OK ] Should Test if the native compiler is present.
 [ OK ] main package should contain files matching all files which're mentioned    
        in OCaml guideline if present.
 [ OK ] -devel sub-package Should contains all files which're mentioned in OCaml
       guidelines if present.

 [ CHECK ] rpmlint output:

 * On -devel & srpm packages: silent.

 * On main package:
W: ocaml-calendar devel-file-in-non-devel-package /usr/lib/ocaml/calendar/date.cmi
W: ocaml-calendar devel-file-in-non-devel-package
/usr/lib/ocaml/calendar/printer.cmi
W: ocaml-calendar devel-file-in-non-devel-package
/usr/lib/ocaml/calendar/calendar.cmi
W: ocaml-calendar devel-file-in-non-devel-package
/usr/lib/ocaml/calendar/time_Zone.cmi
W: ocaml-calendar devel-file-in-non-devel-package /usr/lib/ocaml/calendar/period.cmi
W: ocaml-calendar devel-file-in-non-devel-package /usr/lib/ocaml/calendar/time.cmi
E: ocaml-calendar no-binary
E: ocaml-calendar only-non-binary-in-usr-lib



=== ISSUES ===

# License
  - Well, as we know that the license policy has been changed since few days
    see -devel list.
    https://www.redhat.com/archives/fedora-devel-list/2007-August/msg00108.html
    And your package is LGPLv2 licensed, 
    You have to use "LGPLv2" in license field instead.

# rpmlint output on main package:
  - According to the OCaml pacjaging guidelines, those error/warning can be 
    ignored.

# Documents:
 - Please add the following:
          LGPL
          COPYING
          calendarFAQ-2.6.txt
          Also doc directory
Comment 8 Richard W.M. Jones 2007-08-07 10:11:39 EDT
http://www.annexia.org/tmp/ocaml/ocaml-calendar.spec
http://www.annexia.org/tmp/ocaml/ocaml-calendar-1.10-6.fc8.src.rpm

Those should fix all of the problems mentioned in comment 7.

* Tue Aug  7 2007 Richard W.M. Jones <rjones@redhat.com> - 1.10-6
- ExcludeArch ppc64
- Clarify license is LGPLv2
- Add LGPL, COPYING, calendarFAQ-2.6.txt and doc/ subdirectory to docs.
- BR +ocaml-ocamldoc
Comment 9 Xavier Lamien 2007-08-08 01:53:00 EDT
Rebuilt & tested,
All issues has been fixed.


==========
*APPROVED*
==========
Comment 10 Richard W.M. Jones 2007-08-08 04:16:18 EDT
New Package CVS Request
=======================
Package Name: ocaml-calendar
Short Description: Objective CAML library for managing dates and times
Owners: rjones@redhat.com
Branches: F-7
InitialCC: rjones@redhat.com,lxtnow@gmail.com
Comment 11 Kevin Fenzi 2007-08-08 17:03:59 EDT
cvs done.
Comment 12 Richard W.M. Jones 2007-08-09 11:57:20 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=95339
Comment 13 Richard W.M. Jones 2007-11-07 10:43:09 EST
Package Change Request
======================
Package Name: ocaml-calendar
New Branches: EL-5
Comment 14 Kevin Fenzi 2007-11-07 14:53:41 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.